Highlighted

The Update is not Compatible

New Here ,
Jul 31, 2020

Copy link to clipboard

Copied

Hi, I just installed Lightroom Classic into my new laptop, but I couldn't update the latest version which is version 9.3 although my laptop is above the requirement. I was thinking that I miss something on my laptop configuration. Please advise. Thanks

Topics

Download and install, Problem or error, Windows

Views

30

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

The Update is not Compatible

New Here ,
Jul 31, 2020

Copy link to clipboard

Copied

Hi, I just installed Lightroom Classic into my new laptop, but I couldn't update the latest version which is version 9.3 although my laptop is above the requirement. I was thinking that I miss something on my laptop configuration. Please advise. Thanks

Topics

Download and install, Problem or error, Windows

Views

31

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
JimHess LATEST
Adobe Community Professional ,
Jul 31, 2020

Copy link to clipboard

Copied

What version do you have installed? What indication did you get that you can't update to version 9.3? What operating system are you using?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...